## garmindev 0.3.0

=== CMakeLists.txt ===
project(GarminDev)
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/qlandkartegt)

cmake_minimum_required(VERSION 2.6)
if(COMMAND cmake_policy)
cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

#this one is for the API version check
set(VER_MAJOR     01)
set(VER_MINOR     16)

#this one is for the release version
set(PACKAGE_VER_MAJOR     0)
set(PACKAGE_VER_MINOR     3)
set(PACKAGE_VER_PATCH     0)


add_definitions(-DVER_MAJOR=${VER_MAJOR} -DVER_MINOR=${VER_MINOR})

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# config.h generation
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(USB REQUIRED)

add_subdirectory(./src)
add_subdirectory(./src/GPSMap60CSx)
add_subdirectory(./src/GPSMap76)
add_subdirectory(./src/EtrexLegendC)
add_subdirectory(./src/EtrexLegend)
add_subdirectory(./src/EtrexH)
add_subdirectory(./src/whatGarmin)

install(
    DIRECTORY
        ${LIBRARY_OUTPUT_PATH}
    DESTINATION
        ${LIB_INSTALL_DIR}
)

=== src/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
#    CTcp.cpp
    Garmin.cpp
    IDeviceDefault.cpp
    ILink.cpp
)

set(HDRS
    Platform.h
    CSerial.h
#    CTcp.h
    CUSB.h
    Garmin.h
    IDeviceDefault.h
    IDevice.h
    ILink.h
)

if(UNIX)
    set(SRCS ${SRCS} CUSB.cpp CSerial.cpp)
endif(UNIX)

if(APPLE)
    set(SRCS ${SRCS} CUSB_MacOSX.cpp CSerial.cpp)
endif(APPLE)

if(WIN32)
	add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    set(SRCS ${SRCS} CUSB_win32.cpp)
endif(WIN32)

add_library(garmin STATIC ${SRCS} ${HDRS})

if(UNIX)
    SET_TARGET_PROPERTIES( garmin PROPERTIES COMPILE_FLAGS -fPIC)
    install(FILES IDevice.h DESTINATION /usr/include/garmin/)
endif(UNIX)

=== src/EtrexH/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
    EHSerial.cpp
)

set(HDRS
    CDevice.h
    EHSerial.h
)

include_directories(../)
add_library(EtrexH SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexH garmin usb pthread)

set(ALIASES
    EtrexEuro
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexH
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexH.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/EtrexLegend/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(EtrexLegend SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegend garmin ${USB_LIBRARIES} pthread)

set(ALIASES
    EtrexVista
    EtrexClassic
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegend
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegend.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/EtrexLegendC/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(EtrexLegendC SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegendC garmin ${USB_LIBRARIES} pthread)

set(ALIASES
    EtrexVistaC
    GPSMap60CS
    GPSMap76CS
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegendC
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegendC.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/GPSMap60CSx/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(GPSMap60CSx SHARED ${SRCS} ${HDRS})
target_link_libraries(GPSMap60CSx garmin ${USB_LIBRARIES} pthread)

set(ALIASES
    GPSMap60Cx
    GPSMap60
    EtrexVentureCx
    EtrexVistaCx
    GPSMap76CSx
    EtrexVentureHC
    EtrexSummitHC
    EtrexVistaHCx
    EtrexLegendHCx
    GPSMap76Cx
    Quest
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET GPSMap60CSx
                        POST_BUILD
                        COMMAND ln ARGS -sf libGPSMap60CSx.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/GPSMap76/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../)
add_library(GPSMap76 SHARED ${SRCS} ${HDRS})
target_link_libraries(GPSMap76 garmin pthread)

set(ALIASES
    GPSMap76S
    Rino120
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET GPSMap76
                        POST_BUILD
                        COMMAND ln ARGS -sf libGPSMap76.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/whatGarmin/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(whatGarmin SHARED ${SRCS} ${HDRS})
target_link_libraries(whatGarmin garmin ${USB_LIBRARIES} pthread)

## garmindev 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 #this one is for the API version check
 set(VER_MAJOR     01)
-set(VER_MINOR     16)
+set(VER_MINOR     17)
 
 #this one is for the release version
 set(PACKAGE_VER_MAJOR     0)
 set(PACKAGE_VER_MINOR     3)
-set(PACKAGE_VER_PATCH     0)
+set(PACKAGE_VER_PATCH     2)
 
 
 add_definitions(-DVER_MAJOR=${VER_MAJOR} -DVER_MINOR=${VER_MINOR})
@@ -32,8 +32,8 @@
 include(CPackConfig.cmake)
 
 # disallow in-source build
-include(MacroEnsureOutOfSourceBuild)
-macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")
+# include(MacroEnsureOutOfSourceBuild)
+# macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")
 
 # config.h generation
 include(ConfigureChecks.cmake)
@@ -42,6 +42,21 @@
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
 )
+
+if(APPLE)
+  set(SHARED_LIB_EXT ".dylib")
+  set(QLANDKARTEGT_BUILD_DIR "../build_QLandkarteGT"
+  	  CACHE PATH "location of the QLandkarteGT build folder")
+  add_custom_target(mac-deploy
+  	COMMAND
+  	  rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+  	  mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+  	  tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
+  	  tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
+  )
+elseif(UNIX)
+  set(SHARED_LIB_EXT ".so")
+endif (APPLE)
 
 find_package(USB REQUIRED)

=== src/EtrexLegendC/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(EtrexLegendC SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegendC garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES
    EtrexVistaC
    GPSMap60CS
    GPSMap76CS
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegendC
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegendC${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

## garmindev 0.3.4

=== src/ForeRunner/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(Forerunner305 SHARED ${SRCS} ${HDRS})
target_link_libraries(Forerunner305 garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES

)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET Forerunner305
                        POST_BUILD
                        COMMAND ln ARGS -sf libForerunner305${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== debian/changelog ===
garmindev (0.3.4-2) unstable; urgency=low

  * Fix mis-oriented device screenshots of GPSMAP76CSx devices
   (Closes: #577644). Thanks to Jonas Stein for reporting.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 07 Jun 2010 07:14:58 -0400

garmindev (0.3.4-1) unstable; urgency=low

  * New upstream release. New API version.
  * Switch from CDBS to debhelper's dh. Bump compat level to 7.
  * Switch to source package format 3.0 (quilt).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 17:50:47 -0400

garmindev (0.3.3-1) unstable; urgency=low

  * New upstream release. Added support for GPSMap60C.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 10:09:21 -0500

garmindev (0.3.2-1) unstable; urgency=low

  * New upstream release (Missed 0.3.1).
  * Updated debian/copyright.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 30 Jan 2010 11:58:05 -0500

garmindev (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #532619).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 31 Aug 2009 09:05:51 -0400

=== debian/control ===
Source: garmindev
Section: utils
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Uploaders: Yaroslav Halchenko <yoh@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libusb-dev
Standards-Version: 3.8.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/garmindev.git
Vcs-Git: git://git.debian.org/git/collab-maint/garmindev.git


Package: qlandkartegt-garmin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QLandkarteGT plugins to access Garmin devices
 A collection of plugins for QLandkarteGT to talk to various Garmin GPS devices,
 including GPSMap60CSx, GPSMap76, eTrexH, eTrexLegend and similar GPSr.

=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS = -Wl,--no-undefined

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_install:
	# install into temp dir to filter out plugins only
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

## garmindev 0.3.4%2Bsvn3432

=== debian/changelog ===
garmindev (0.3.4+svn3432-2) unstable; urgency=low

  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 May 2013 13:11:54 +0200

garmindev (0.3.4+svn3432-1) experimental; urgency=low

  * Upload svn 3432 (Closes: #681357)
  * Set myself as uploader (Closes: #654749)
  * Update copyright file
  * Add Forerunner 305 to description
  * Remove manually set flags
  * Set compat level to 9 and dh 9 to fix hardening 
  * Little improvement to gitignore file
  * Refresh patch
  * Added gbp.conf file
  * Added local-option file
  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 20 Jul 2012 14:52:46 +0200

## garmindev 0.3.4+svn3432

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 #this one is for the API version check
 set(VER_MAJOR     01)
-set(VER_MINOR     17)
+set(VER_MINOR     18)
 
 #this one is for the release version
 set(PACKAGE_VER_MAJOR     0)
 set(PACKAGE_VER_MINOR     3)
-set(PACKAGE_VER_PATCH     2)
+set(PACKAGE_VER_PATCH     5)
 
 
 add_definitions(-DVER_MAJOR=${VER_MAJOR} -DVER_MINOR=${VER_MINOR})
@@ -46,13 +46,13 @@
 if(APPLE)
   set(SHARED_LIB_EXT ".dylib")
   set(QLANDKARTEGT_BUILD_DIR "../build_QLandkarteGT"
-  	  CACHE PATH "location of the QLandkarteGT build folder")
+      CACHE PATH "location of the QLandkarteGT build folder")
   add_custom_target(mac-deploy
-  	COMMAND
-  	  rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
-  	  mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
-  	  tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
-  	  tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
+    COMMAND
+      rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+      mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+      tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
+      tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
   )
 elseif(UNIX)
   set(SHARED_LIB_EXT ".so")
@@ -67,6 +67,8 @@
 add_subdirectory(./src/EtrexLegend)
 add_subdirectory(./src/EtrexH)
 add_subdirectory(./src/whatGarmin)
+add_subdirectory(./src/ForeRunner)
+add_subdirectory(./src/Oregon)
 
 install(
     DIRECTORY

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     Garmin.cpp
     IDeviceDefault.cpp
     ILink.cpp
+    CUSB_common.cpp
 )
 
 set(HDRS
@@ -19,9 +20,10 @@
     ILink.h
 )
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
+    include_directories(../ ${LIBUSB_INCLUDE_DIRS})
     set(SRCS ${SRCS} CUSB.cpp CSerial.cpp)
-endif(UNIX)
+endif(UNIX AND NOT APPLE)
 
 if(APPLE)
     set(SRCS ${SRCS} CUSB_MacOSX.cpp CSerial.cpp)
@@ -35,6 +37,11 @@
 add_library(garmin STATIC ${SRCS} ${HDRS})
 
 if(UNIX)
+    if(APPLE)
+        target_link_libraries( garmin "-F/Library/Frameworks -L/Library/Frameworks -framework IOKit -framework CoreFoundation")
+    else(APPLE)
+        target_link_libraries( garmin ${LIBUSB_LIBRARIES})
+    endif(APPLE)
     SET_TARGET_PROPERTIES( garmin PROPERTIES COMPILE_FLAGS -fPIC)
-    install(FILES IDevice.h DESTINATION /usr/include/garmin/)
+    install(FILES IDevice.h DESTINATION ${INCLUDE_INSTALL_DIR}/garmin/)
 endif(UNIX)

=== src/EtrexH/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
    EHSerial.cpp
)

set(HDRS
    CDevice.h
    EHSerial.h
)

include_directories(../)
add_library(EtrexH SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexH garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES
    EtrexEuro
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexH
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexH${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/EtrexLegend/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(EtrexLegend SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegend garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES
    EtrexVista
    EtrexClassic
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegend
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegend${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/EtrexLegendC/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 set(ALIASES
     EtrexVistaC
     GPSMap60CS
+    GPSMap60C
     GPSMap76CS
 )

=== src/ForeRunner/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 target_link_libraries(Forerunner305 garmin ${LIBUSB_LIBRARIES} pthread)
 
 set(ALIASES
-
+    Forerunner205
 )
 
 foreach(var ${ALIASES})

=== src/ForeRunner/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/all/PP/usb/GarminDev

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/all/PP/usb/GarminDev

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/all/PP/usb/GarminDev && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/all/PP/usb/GarminDev && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/all/PP/usb/GarminDev/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -E cmake_progress_start /home/all/PP/usb/GarminDev/CMakeFiles /home/all/PP/usb/GarminDev/src/FR305/CMakeFiles/progress.marks
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/all/PP/usb/GarminDev/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/FR305/CMakeFiles/FR305.dir/rule:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/CMakeFiles/FR305.dir/rule
.PHONY : src/FR305/CMakeFiles/FR305.dir/rule

# Convenience name for target.
FR305: src/FR305/CMakeFiles/FR305.dir/rule
.PHONY : FR305

# fast build rule for target.
FR305/fast:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/build
.PHONY : FR305/fast

CDevice.o: CDevice.cpp.o
.PHONY : CDevice.o

# target to build an object file
CDevice.cpp.o:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.o
.PHONY : CDevice.cpp.o

CDevice.i: CDevice.cpp.i
.PHONY : CDevice.i

# target to preprocess a source file
CDevice.cpp.i:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.i
.PHONY : CDevice.cpp.i

CDevice.s: CDevice.cpp.s
.PHONY : CDevice.s

# target to generate assembly for a file
CDevice.cpp.s:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.s
.PHONY : CDevice.cpp.s

loader.o: loader.cpp.o
.PHONY : loader.o

# target to build an object file
loader.cpp.o:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.o
.PHONY : loader.cpp.o

loader.i: loader.cpp.i
.PHONY : loader.i

# target to preprocess a source file
loader.cpp.i:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.i
.PHONY : loader.cpp.i

loader.s: loader.cpp.s
.PHONY : loader.s

# target to generate assembly for a file
loader.cpp.s:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.s
.PHONY : loader.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... FR305"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... CDevice.o"
	@echo "... CDevice.i"
	@echo "... CDevice.s"
	@echo "... loader.o"
	@echo "... loader.i"
	@echo "... loader.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== src/GPSMap60CSx/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(GPSMap60CSx SHARED ${SRCS} ${HDRS})
target_link_libraries(GPSMap60CSx garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES
    GPSMap60Cx
    GPSMap60
    EtrexVentureCx
    EtrexVistaCx
    GPSMap76CSx
    EtrexVentureHC
    EtrexSummitHC
    EtrexVistaHCx
    EtrexLegendHCx
    EtrexLegendCx
    EtrexLegendH
    GPSMap76Cx
    Quest
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET GPSMap60CSx
                        POST_BUILD
                        COMMAND ln ARGS -sf libGPSMap60CSx${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/GPSMap76/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     message(" ${var}")
     add_custom_command( TARGET GPSMap76
                         POST_BUILD
-                        COMMAND ln ARGS -sf libGPSMap76.so lib${var}.so
+                        COMMAND ln ARGS -sf libGPSMap76${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                         WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                         )
 endforeach(var)

=== src/Oregon/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    Oregon.cpp
)

set(HDRS
    Oregon.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(Oregon SHARED ${SRCS} ${LIBUSB_LIBRARIES} ${HDRS})
target_link_libraries(Oregon garmin pthread)

set(ALIASES
    Oregon450
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET Oregon
                        POST_BUILD
                        COMMAND ln ARGS -sf libOregon${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)

=== src/whatGarmin/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(whatGarmin SHARED ${SRCS} ${HDRS})
target_link_libraries(whatGarmin garmin ${LIBUSB_LIBRARIES} pthread)

=== debian/control ===
Source: garmindev
Section: utils
Priority: optional
Maintainer: Jaromír Mikeš <mira.mikes@seznam.cz>
Uploaders:
 Michael Hanke <michael.hanke@gmail.com>,
 Yaroslav Halchenko <yoh@debian.org>
Build-Depends:
 cmake (>= 2.4),
 debhelper (>= 9.20120417~),
 libusb-dev
Standards-Version: 3.9.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/garmindev.git
Vcs-Git: git://git.debian.org/git/collab-maint/garmindev.git

Package: qlandkartegt-garmin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: QLandkarteGT plugins to access Garmin devices
 A collection of plugins for QLandkarteGT to talk to various Garmin GPS devices,
 including GPSMap60CSx, GPSMap76, eTrexH, eTrexLegend, Forerunner 305 
 and similar GPSr.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export LDFLAGS = -Wl,--no-undefined
+#export LDFLAGS = -Wl,--no-undefined
 
 # one ring to rule them all ...
 %:

=== debian/watch ===
version=3
http://sf.net/qlandkartegt/garmindev-([\d\.]*)\.tar\.gz
